Package org.eclipse.e4.ui.workbench

# Interface UIEvents.Part

Enclosing class:
  UIEvents

public static interface UIEvents.Part

Restriction:
  This interface is not intended to be implemented by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CLOSEABLE`
`static final String`
`DESCRIPTION`
`static final String`
`LOCALIZED_DESCRIPTION`
`static final String`
`MENUS`
`static final String`
`TOOLBAR`
`static final String`
`TOPIC`
Deprecated.
`static final String`
`TOPIC_ALL`
`static final String`
`TOPIC_CLOSEABLE`
`static final String`
`TOPIC_DESCRIPTION`
`static final String`
`TOPIC_LOCALIZED_DESCRIPTION`
`static final String`
`TOPIC_MENUS`
`static final String`
`TOPIC_TOOLBAR`
`static final String`
`TOPIC_TRIMBARS`

## Field Details

### TOPIC

@Deprecated static final String TOPIC
Deprecated.

See Also:
  - Constant Field Values

### TOPIC_ALL

static final String TOPIC_ALL

See Also:
  - Constant Field Values

### TOPIC_CLOSEABLE

static final String TOPIC_CLOSEABLE

See Also:
  - Constant Field Values

### TOPIC_DESCRIPTION

static final String TOPIC_DESCRIPTION

See Also:
  - Constant Field Values

### TOPIC_MENUS

static final String TOPIC_MENUS

See Also:
  - Constant Field Values

### TOPIC_TOOLBAR

static final String TOPIC_TOOLBAR

See Also:
  - Constant Field Values

### TOPIC_TRIMBARS

static final String TOPIC_TRIMBARS

Since:
  1.5
See Also:
  - Constant Field Values

### TOPIC_LOCALIZED_DESCRIPTION

static final String TOPIC_LOCALIZED_DESCRIPTION

Since:
  1.1
See Also:
  - Constant Field Values

### CLOSEABLE

static final String CLOSEABLE

See Also:
  - Constant Field Values

### DESCRIPTION

static final String DESCRIPTION

See Also:
  - Constant Field Values

### MENUS

static final String MENUS

See Also:
  - Constant Field Values

### TOOLBAR

static final String TOOLBAR

See Also:
  - Constant Field Values

### LOCALIZED_DESCRIPTION

static final String LOCALIZED_DESCRIPTION

Since:
  1.1
See Also:
  - Constant Field Values